SPEC_DIR = File.dirname(__FILE__)
GEM_DIR  = File.dirname(SPEC_DIR)

# Load dependencies
require 'rspec/rails/extensions/active_record/base'
require 'active_support'
require 'active_record'
require 'awesome_print'
require 'database_cleaner'

# Load in the support for AR
require 'support/active_record'

# Load in the gem we are testing
require 'polytag'

# The test models
require 'support/owner'
require 'support/taggable'

# This file was generated by the `rspec --init` command. Conventionally, all
# specs live under a `spec` directory, which RSpec adds to the `$LOAD_PATH`.
# Require this file using `require "spec_helper"` to ensure that it is only
# loaded once.
#
# See http://rubydoc.info/gems/rspec-core/RSpec/Core/Configuration

RSpec.configure do |config|
  config.treat_symbols_as_metadata_keys_with_true_values = true
  config.run_all_when_everything_filtered = true
  config.filter_run :focus

  # Use DatabaseCleaner for testing
  config.before(:suite) do
    DatabaseCleaner.strategy = :transaction
    DatabaseCleaner.clean_with(:truncation)
  end

  config.before(:each) do
    DatabaseCleaner.start
  end

  config.after(:each) do
    DatabaseCleaner.clean
  end

  # Run specs in random order to surface order dependencies. If you find an
  # order dependency and want to debug it, you can fix the order by providing
  # the seed, which is printed after each run.
  #     --seed 1234
  config.order = 'random'
end
